Framework Single Call
Single Call to Frameworkβ
POST /v1/framework
Overviewβ
This endpoint delivers scores formatted for visual understanding as per Receptiviti's frameworks. Use this endpoint to obtain scores for a single sample of text. The payload consists of a single JSON object.
Limitsβ
- Total payload cannot exceed 5MB
- Limited to 10 requests per second per user.
Requestβ
A JSON object with the following fields:
| Field | Required | Type | Details |
|---|---|---|---|
content | Yes | String | The text you want to score. This is the only required field and it does not have a default. |
request_id | String | This field can be used if you want to associate an identifier with a piece of text. It will be returned with the response. It does not have a default. |
[Code example removed β see LEGACY_IMPORT_REPORT.md]
Responseβ
Top-level fields:
| Field | Type | Details |
|---|---|---|
plan_usage | Object | Details about how many words have been used and how much of your word limit remains for the current period. |
results | Array of objects | There will be one object for each sample of text in the request. That means for for single-score calls, there will be exactly one object while for bulk-score requests, there will be as many result objects as there were requests. |